Subject: bug#64272: 28.1; lisp_file_lexically_bound_p behavior mismatches file local variables

From: Gregory Heytings <[email-masked]>
Date: Mon, 26 Jun 2023 15:18:34 +0000

>
> I'm sorry to bust this particular wedding, but here we see once again 
> what became a frequent pattern in Emacs: a tiny problem, perhaps 
> affecting one or a few users who happen to bump into it the first time 
> they try something, which then causes quite serious changes to low-level 
> infrastructure in Emacs that has been working flawlessly for years, and 
> by doing that destabilize Emacs for no good reason.  IOW, a tail that 
> wags the dog.
>
> Happens time and again in Emacs, and we all fail to pay attention.
>
> [...]
>
> That said, I know I will be downvoted, and so will not object any 
> changes in this wrong direction.  Let the resultant breakage speak for 
> itself.
>

Not that my opinion counts, but FWIW, I agree with the above, and I upvote 
this.